<?php
$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_BAIRROS == 1) {
	class RegioescidadesController extends GxController {
	
		
		var $help = 'Esta é a ajuda';
	
			public function actionView($id) {
			$this->render('view', array(
				'model' => $this->loadModel($id, 'Regioescidades'),
			));
		}
	
		public function actionCreate() {
			$model = new Regioescidades;
	
		
			if (isset($_POST['Regioescidades'])) {
				$model->setAttributes($_POST['Regioescidades']);
		
					if ($model->save()) {
						if (Yii::app()->getRequest()->getIsAjaxRequest())
						Yii::app()->end();
					else
						$this->redirect(array('view', 'id' => $model->RCD_IDCODIGO));
				}
			}
	
			$this->render('create', array( 'model' => $model));
		}
	
		public function actionUpdate($id) {
			$model = $this->loadModel($id, 'Regioescidades');
	
		
			if (isset($_POST['Regioescidades'])) {
				$model->setAttributes($_POST['Regioescidades']);
		
					if ($model->save()) {
						$this->redirect(array('view', 'id' => $model->RCD_IDCODIGO));
				}
			}
	
			$this->render('update', array(
					'model' => $model,
					));
		}
	
		public function actionDelete($id) {
			if (Yii::app()->getRequest()->getIsPostRequest()) {
				$this->loadModel($id, 'Regioescidades')->delete();
	
				if (!Yii::app()->getRequest()->getIsAjaxRequest())
					$this->redirect(array('admin'));
			} else
				throw new CHttpException(400, 'Sua solicitação é inválida.');
		}
	
		public function actionAdmin() {
			$model = new Regioescidades('search');
			$model->unsetAttributes();
	
			if (isset($_GET['Regioescidades']))
				$model->setAttributes($_GET['Regioescidades']);
	
			$this->render('admin', array(
				'model' => $model,
			));
		}
	
	}
}